Debian Bug report logs - #549531
libasound2: multiple problems in snd_device_name_hint

version graph

Package: libasound2; Maintainer for libasound2 is Debian ALSA Maintainers <pkg-alsa-devel@lists.alioth.debian.org>; Source for libasound2 is src:alsa-lib.

Reported by: John Lindgren <john.lindgren@tds.net>

Date: Sun, 4 Oct 2009 00:39:01 UTC

Severity: normal

Tags: fixed-upstream, patch

Found in version alsa-lib/1.0.21a-1

Fixed in version alsa-lib/1.0.22-1

Done: Jordi Mallach <jordi@debian.org>

Bug is archived. No further changes may be made.

Forwarded to http://mailman.alsa-project.org/pipermail/alsa-devel/2009-October/022505.html

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian ALSA Maintainers <pkg-alsa-devel@lists.alioth.debian.org>:
Bug#549531; Package libasound2. (Sun, 04 Oct 2009 00:39:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to John Lindgren <john.lindgren@tds.net>:
New Bug report received and forwarded. Copy sent to Debian ALSA Maintainers <pkg-alsa-devel@lists.alioth.debian.org>. (Sun, 04 Oct 2009 00:39:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: John Lindgren <john.lindgren@tds.net>
To: submit@bugs.debian.org
Subject: libasound2: snd_device_name_hint() wrongly calls snd_config_delete()
Date: Sat, 03 Oct 2009 20:34:44 -0400
[Message part 1 (text/plain, inline)]
Package: libasound2
Version: 1.0.21a-1
Severity: normal
Tags: patch

Symptoms
--------

This bug first showed up because of a new ALSA output plugin for
Audacious audio player:

        http://jira.atheme.org/browse/AUDPLUG-77#action_10640
        
Essentially, any call to snd_device_name_hint() causes later calls to
snd_pcm_open() to fail with messages like these:

        ALSA lib conf.c:4600:(snd_config_expand) Unknown parameters CARD=Live,DEV=0 
        ALSA lib pcm.c:2211:(snd_pcm_open_noupdate) Unknown PCM rear:CARD=Live,DEV=0

This happens only for PCMs defined in ALSA config files (such as the
ones under /usr/share/alsa/cards), not for "default" or "hw:0,0"-style.
It does not seem to depend on a particular sound card. It can be
reproduced without Audacious by adding a call to pcm_list() before the
call to snd_pcm_open() in aplay.c from the alsa-utils package:

        $ ./aplay -D front:CARD=ICH6,DEV=0 Test.wav
        default:CARD=ICH6
            Intel ICH6, Intel ICH6
            Default Audio Device
        front:CARD=ICH6,DEV=0
            Intel ICH6, Intel ICH6
            Front speakers
        surround40:CARD=ICH6,DEV=0
            Intel ICH6, Intel ICH6
            4.0 Surround output to Front and Rear speakers
        surround41:CARD=ICH6,DEV=0
            Intel ICH6, Intel ICH6
            4.1 Surround output to Front, Rear and Subwoofer speakers
        surround50:CARD=ICH6,DEV=0
            Intel ICH6, Intel ICH6
            5.0 Surround output to Front, Center and Rear speakers
        surround51:CARD=ICH6,DEV=0
            Intel ICH6, Intel ICH6
            5.1 Surround output to Front, Center, Rear and Subwoofer speakers
        iec958:CARD=ICH6,DEV=0
            Intel ICH6, Intel ICH6 - IEC958
            IEC958 (S/PDIF) Digital Audio Output
        null
            Discard all samples (playback) or generate zero samples (capture)
        ALSA lib conf.c:4600:(snd_config_expand) Unknown parameters CARD=ICH6,DEV=0
        ALSA lib pcm.c:2211:(snd_pcm_open_noupdate) Unknown PCM front:CARD=ICH6,DEV=0
        aplay: main:610: audio open error: Invalid argument
        
Diagnosis
---------

try_config(), called by snd_device_name_hint(), calls
snd_config_search_definition() at namehint.c line 243 and
snd_config_search_alias_hooks() at line 339, then calls
snd_config_delete() on the returned nodes at lines 331 and 383.  This
was probably meant to prevent leaking memory returned by the search
functions, but in fact it removes information from the config that is
needed by later calls, such as snd_pcm_open.  Hence, snd_pcm_open
behaves as though devices like "front" and "rear" do not exist.

I have attached a patch for aplay.c to reproduce the problem and a patch
for namehint.c to fix it.  One side effect of the fix (on my system at
least) is that two "null" devices are now listed by "aplay -L" and in
Audacious.

Peace,
John Lindgren


-- System Information:
Debian Release: squeeze/sid
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: i386 (i686)

Kernel: Linux 2.6.30-1-686 (SMP w/1 CPU core)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages libasound2 depends on:
ii  libc6                         2.9-25     GNU C Library: Shared libraries

libasound2 recommends no packages.

Versions of packages libasound2 suggests:
pn  libasound2-plugins            <none>     (no description available)

-- no debconf information
[aplay.c.diff (text/x-patch, attachment)]
[namehint.c.diff (text/x-patch, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian ALSA Maintainers <pkg-alsa-devel@lists.alioth.debian.org>:
Bug#549531; Package libasound2. (Fri, 23 Oct 2009 04:42:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to John Lindgren <john.lindgren@tds.net>:
Extra info received and forwarded to list. Copy sent to Debian ALSA Maintainers <pkg-alsa-devel@lists.alioth.debian.org>. (Fri, 23 Oct 2009 04:42:07 GMT) Full text and rfc822 format available.

Message #10 received at 549531@bugs.debian.org (full text, mbox):

From: John Lindgren <john.lindgren@tds.net>
To: 549531@bugs.debian.org
Subject: Re: libasound2: snd_device_name_hint() wrongly calls snd_config_delete()
Date: Fri, 23 Oct 2009 00:24:25 -0400
[Message part 1 (text/plain, inline)]
I've found a couple of more places where snd_config_delete is called
indirectly by snd_device_name_hint, causing failure in another case:

        http://jira.atheme.org/browse/AUDPLUG-101

I am attaching a patch that removes these calls and seems to fix the
problem; however, with this patch, not only the null device but all
devices returned by snd_device_name_hint are listed twice, so a complete
fix may be more complicated.

Peace,
John Lindgren
[conf.c.diff (text/x-patch, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian ALSA Maintainers <pkg-alsa-devel@lists.alioth.debian.org>:
Bug#549531; Package libasound2. (Fri, 23 Oct 2009 17:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Elimar Riesebieter <riesebie@lxtec.de>:
Extra info received and forwarded to list. Copy sent to Debian ALSA Maintainers <pkg-alsa-devel@lists.alioth.debian.org>. (Fri, 23 Oct 2009 17:03:03 GMT) Full text and rfc822 format available.

Message #15 received at 549531@bugs.debian.org (full text, mbox):

From: Elimar Riesebieter <riesebie@lxtec.de>
To: John Lindgren <john.lindgren@tds.net>, 549531@bugs.debian.org
Cc: alsa-devel@alsa-project.org, control@bugs.debian.org
Subject: libasound2: snd_device_name_hint() wrongly calls snd_config_delete()
Date: Fri, 23 Oct 2009 18:29:16 +0200
forwarded 549531 alsa-devel@alsa-project.org
thanks

This looks more like a general problem and shouldn't be solved
distribution specific so request for help to the alsa developers.

Elimar

* John Lindgren [091003 20:34 -0400]
> Package: libasound2
> Version: 1.0.21a-1
> Severity: normal
> Tags: patch
> 
> Symptoms
> --------
> 
> This bug first showed up because of a new ALSA output plugin for
> Audacious audio player:
> 
>         http://jira.atheme.org/browse/AUDPLUG-77#action_10640
>         
> Essentially, any call to snd_device_name_hint() causes later calls to
> snd_pcm_open() to fail with messages like these:
> 
>         ALSA lib conf.c:4600:(snd_config_expand) Unknown parameters CARD=Live,DEV=0 
>         ALSA lib pcm.c:2211:(snd_pcm_open_noupdate) Unknown PCM rear:CARD=Live,DEV=0
> 
> This happens only for PCMs defined in ALSA config files (such as the
> ones under /usr/share/alsa/cards), not for "default" or "hw:0,0"-style.
> It does not seem to depend on a particular sound card. It can be
> reproduced without Audacious by adding a call to pcm_list() before the
> call to snd_pcm_open() in aplay.c from the alsa-utils package:
> 
>         $ ./aplay -D front:CARD=ICH6,DEV=0 Test.wav
>         default:CARD=ICH6
>             Intel ICH6, Intel ICH6
>             Default Audio Device
>         front:CARD=ICH6,DEV=0
>             Intel ICH6, Intel ICH6
>             Front speakers
>         surround40:CARD=ICH6,DEV=0
>             Intel ICH6, Intel ICH6
>             4.0 Surround output to Front and Rear speakers
>         surround41:CARD=ICH6,DEV=0
>             Intel ICH6, Intel ICH6
>             4.1 Surround output to Front, Rear and Subwoofer speakers
>         surround50:CARD=ICH6,DEV=0
>             Intel ICH6, Intel ICH6
>             5.0 Surround output to Front, Center and Rear speakers
>         surround51:CARD=ICH6,DEV=0
>             Intel ICH6, Intel ICH6
>             5.1 Surround output to Front, Center, Rear and Subwoofer speakers
>         iec958:CARD=ICH6,DEV=0
>             Intel ICH6, Intel ICH6 - IEC958
>             IEC958 (S/PDIF) Digital Audio Output
>         null
>             Discard all samples (playback) or generate zero samples (capture)
>         ALSA lib conf.c:4600:(snd_config_expand) Unknown parameters CARD=ICH6,DEV=0
>         ALSA lib pcm.c:2211:(snd_pcm_open_noupdate) Unknown PCM front:CARD=ICH6,DEV=0
>         aplay: main:610: audio open error: Invalid argument
>         
> Diagnosis
> ---------
> 
> try_config(), called by snd_device_name_hint(), calls
> snd_config_search_definition() at namehint.c line 243 and
> snd_config_search_alias_hooks() at line 339, then calls
> snd_config_delete() on the returned nodes at lines 331 and 383.  This
> was probably meant to prevent leaking memory returned by the search
> functions, but in fact it removes information from the config that is
> needed by later calls, such as snd_pcm_open.  Hence, snd_pcm_open
> behaves as though devices like "front" and "rear" do not exist.
> 
> I have attached a patch for aplay.c to reproduce the problem and a patch
> for namehint.c to fix it.  One side effect of the fix (on my system at
> least) is that two "null" devices are now listed by "aplay -L" and in
> Audacious.
> 
> Peace,
> John Lindgren
> 
> 
> -- System Information:
> Debian Release: squeeze/sid
>   APT prefers testing
>   APT policy: (500, 'testing')
> Architecture: i386 (i686)
> 
> Kernel: Linux 2.6.30-1-686 (SMP w/1 CPU core)
> Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
> Shell: /bin/sh linked to /bin/dash
> 
> Versions of packages libasound2 depends on:
> ii  libc6                         2.9-25     GNU C Library: Shared libraries
> 
> libasound2 recommends no packages.
> 
> Versions of packages libasound2 suggests:
> pn  libasound2-plugins            <none>     (no description available)
> 
> -- no debconf information

> --- aplay.0.c	2009-08-31 11:13:36.000000000 -0400
> +++ aplay.c	2009-10-03 19:54:43.000000000 -0400
> @@ -603,6 +603,8 @@
>  		goto __end;
>  	}
>  
> +	pcm_list();
> +
>  	err = snd_pcm_open(&handle, pcm_name, stream, open_mode);
>  	if (err < 0) {
>  		error(_("audio open error: %s"), snd_strerror(err));

> --- namehint.0.c	2009-09-09 08:34:54.000000000 -0400
> +++ namehint.c	2009-10-03 17:39:23.000000000 -0400
> @@ -328,7 +328,6 @@
>  	if (snd_config_search(cfg1, "slave", &cfg) >= 0 &&
>  	    snd_config_search(cfg, base, &cfg1) >= 0)
>  	    	goto __hint;
> -	snd_config_delete(res);
>  	res = NULL;
>  	if (strchr(buf, ':') != NULL)
>  		goto __ok;
> @@ -379,8 +378,6 @@
>  	      	err = hint_list_add(list, buf, buf1);
>  	}
>        __skip_add:
> -      	if (res)
> -	      	snd_config_delete(res);
>  	if (buf1)
>  		free(buf1);
>        	free(buf);

> _______________________________________________
> Pkg-alsa-devel mailing list
> Pkg-alsa-devel@lists.alioth.debian.org
> http://lists.alioth.debian.org/mailman/listinfo/pkg-alsa-devel


-- 
  It's a good thing we don't get all 
  the government we pay for.




Set Bug forwarded-to-address to 'alsa-devel@alsa-project.org'. Request was from Elimar Riesebieter <riesebie@lxtec.de> to control@bugs.debian.org. (Fri, 23 Oct 2009 17:03:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian ALSA Maintainers <pkg-alsa-devel@lists.alioth.debian.org>:
Bug#549531; Package libasound2. (Sun, 01 Nov 2009 18:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to John Lindgren <john.lindgren@tds.net>:
Extra info received and forwarded to list. Copy sent to Debian ALSA Maintainers <pkg-alsa-devel@lists.alioth.debian.org>. (Sun, 01 Nov 2009 18:21:03 GMT) Full text and rfc822 format available.

Message #22 received at 549531@bugs.debian.org (full text, mbox):

From: John Lindgren <john.lindgren@tds.net>
To: Elimar Riesebieter <riesebie@lxtec.de>, control@bugs.debian.org
Cc: 549531@bugs.debian.org
Subject: Re: libasound2: snd_device_name_hint wrongly calls snd_config_delete
Date: Sun, 01 Nov 2009 13:00:32 -0500
retitle 549531 libasound2: multiple problems in snd_device_name_hint
forwarded 549531 http://mailman.alsa-project.org/pipermail/alsa-devel/2009-October/022505.html
thanks

I've sent a collection of patches that will be needed to support
upcoming Audacious 2.2 upstream.  There's been no response yet (for
about a week now).  It's up to you whether you want to add these patches
in Debian or wait; but I'm sure neither you nor I want to see Debian's
users let down when Audacious 2.2 hits unstable.

Peace,
John Lindgren





Changed Bug title to 'libasound2: multiple problems in snd_device_name_hint' from 'libasound2: snd_device_name_hint() wrongly calls snd_config_delete()' Request was from John Lindgren <john.lindgren@tds.net> to control@bugs.debian.org. (Sun, 01 Nov 2009 18:21:05 GMT) Full text and rfc822 format available.

Changed Bug forwarded-to-address to 'http://mailman.alsa-project.org/pipermail/alsa-devel/2009-October/022505.html' from 'alsa-devel@alsa-project.org' Request was from John Lindgren <john.lindgren@tds.net> to control@bugs.debian.org. (Sun, 01 Nov 2009 18:21:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian ALSA Maintainers <pkg-alsa-devel@lists.alioth.debian.org>:
Bug#549531; Package libasound2. (Sun, 01 Nov 2009 21:30:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Elimar Riesebieter <riesebie@lxtec.de>:
Extra info received and forwarded to list. Copy sent to Debian ALSA Maintainers <pkg-alsa-devel@lists.alioth.debian.org>. (Sun, 01 Nov 2009 21:30:06 GMT) Full text and rfc822 format available.

Message #31 received at 549531@bugs.debian.org (full text, mbox):

From: Elimar Riesebieter <riesebie@lxtec.de>
To: John Lindgren <john.lindgren@tds.net>
Cc: 549531@bugs.debian.org
Subject: Re: libasound2: snd_device_name_hint wrongly calls snd_config_delete
Date: Sun, 1 Nov 2009 22:11:52 +0100
[Message part 1 (text/plain, inline)]
* John Lindgren [091101 13:00 -0500]
> retitle 549531 libasound2: multiple problems in snd_device_name_hint
> forwarded 549531 http://mailman.alsa-project.org/pipermail/alsa-devel/2009-October/022505.html
> thanks
> 
> I've sent a collection of patches that will be needed to support
> upcoming Audacious 2.2 upstream.

Thanks for your work. But why has ALSA to follow Audacious? Isn't
it possible to adapt Audacious' features to the existing ALSA code?


> There's been no response yet (for about a week now).  It's up to
> you whether you want to add these patches in Debian or wait;

Hmm, I prefer to find an overall solution. I am sure that users
from other distros would like to have a working Audacious 2.2,
though.

> but I'm sure neither you nor I want to see Debian's users let down
> when Audacious 2.2 hits unstable.

So we'll have one more normal bug?

> Peace, John Lindgren

Elimar

-- 
  The path to source is always uphill!
                                -unknown-
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian ALSA Maintainers <pkg-alsa-devel@lists.alioth.debian.org>:
Bug#549531; Package libasound2. (Sun, 01 Nov 2009 23:36:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to John Lindgren <john.lindgren@tds.net>:
Extra info received and forwarded to list. Copy sent to Debian ALSA Maintainers <pkg-alsa-devel@lists.alioth.debian.org>. (Sun, 01 Nov 2009 23:36:03 GMT) Full text and rfc822 format available.

Message #36 received at 549531@bugs.debian.org (full text, mbox):

From: John Lindgren <john.lindgren@tds.net>
To: Elimar Riesebieter <riesebie@lxtec.de>
Cc: 549531@bugs.debian.org
Subject: Re: libasound2: snd_device_name_hint wrongly calls snd_config_delete
Date: Sun, 01 Nov 2009 18:25:58 -0500
On Sun, 2009-11-01 at 22:11 +0100, Elimar Riesebieter wrote:
> > I've sent a collection of patches that will be needed to support
> > upcoming Audacious 2.2 upstream.
> 
> Thanks for your work. But why has ALSA to follow Audacious? Isn't
> it possible to adapt Audacious' features to the existing ALSA code?

I'm not requiring any new code.  I'm using code that has already been
written and documented; it's just buggy because it hasn't been used by
many applications yet.  I'm not asking ALSA to "follow Audacious" but
merely to do what it is intended to do.

> > There's been no response yet (for about a week now).  It's up to
> > you whether you want to add these patches in Debian or wait;
> 
> Hmm, I prefer to find an overall solution. I am sure that users
> from other distros would like to have a working Audacious 2.2,
> though.

I agree.  Upstream fixes are better.  Perhaps you know someone who has
commit access to ALSA?

Peace,
John Lindgren





Information forwarded to debian-bugs-dist@lists.debian.org, Debian ALSA Maintainers <pkg-alsa-devel@lists.alioth.debian.org>:
Bug#549531; Package libasound2. (Tue, 03 Nov 2009 18:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to John Lindgren <john.lindgren@tds.net>:
Extra info received and forwarded to list. Copy sent to Debian ALSA Maintainers <pkg-alsa-devel@lists.alioth.debian.org>. (Tue, 03 Nov 2009 18:45:03 GMT) Full text and rfc822 format available.

Message #41 received at 549531@bugs.debian.org (full text, mbox):

From: John Lindgren <john.lindgren@tds.net>
To: control@bugs.debian.org
Cc: Elimar Riesebieter <riesebie@lxtec.de>, 549531@bugs.debian.org
Subject: Re: libasound2: snd_device_name_hint wrongly calls snd_config_delete
Date: Tue, 03 Nov 2009 13:14:52 -0500
tags 549531 fixed-upstream
thanks

http://git.alsa-project.org/?p=alsa-lib.git;a=commitdiff;h=e1c7dd261347f6a0b9ad56e52bb86dfe057cfb9a
http://git.alsa-project.org/?p=alsa-lib.git;a=commitdiff;h=0bff86858030d4d19bbc39e50913853f963799af
http://git.alsa-project.org/?p=alsa-lib.git;a=commitdiff;h=592bd1e98b4e16324b2d6f5b36683e1be08e0d38
http://git.alsa-project.org/?p=alsa-lib.git;a=commitdiff;h=0fcac217566267f6a06db77610ade465cd6d6426
http://git.alsa-project.org/?p=alsa-lib.git;a=commitdiff;h=407e98b4c3a9ac1bb3d306e79b92731ba9e96555





Added tag(s) fixed-upstream. Request was from John Lindgren <john.lindgren@tds.net> to control@bugs.debian.org. (Tue, 03 Nov 2009 18:45:05 GMT) Full text and rfc822 format available.

Reply sent to Jordi Mallach <jordi@debian.org>:
You have taken responsibility. (Fri, 12 Feb 2010 00:18:09 GMT) Full text and rfc822 format available.

Notification sent to John Lindgren <john.lindgren@tds.net>:
Bug acknowledged by developer. (Fri, 12 Feb 2010 00:18:10 GMT) Full text and rfc822 format available.

Message #48 received at 549531-close@bugs.debian.org (full text, mbox):

From: Jordi Mallach <jordi@debian.org>
To: 549531-close@bugs.debian.org
Subject: Bug#549531: fixed in alsa-lib 1.0.22-1
Date: Fri, 12 Feb 2010 00:17:18 +0000
Source: alsa-lib
Source-Version: 1.0.22-1

We believe that the bug you reported is fixed in the latest version of
alsa-lib, which is due to be installed in the Debian FTP archive:

alsa-lib_1.0.22-1.debian.tar.bz2
  to main/a/alsa-lib/alsa-lib_1.0.22-1.debian.tar.bz2
alsa-lib_1.0.22-1.dsc
  to main/a/alsa-lib/alsa-lib_1.0.22-1.dsc
alsa-lib_1.0.22.orig.tar.bz2
  to main/a/alsa-lib/alsa-lib_1.0.22.orig.tar.bz2
lib64asound2-dev_1.0.22-1_i386.deb
  to main/a/alsa-lib/lib64asound2-dev_1.0.22-1_i386.deb
lib64asound2_1.0.22-1_i386.deb
  to main/a/alsa-lib/lib64asound2_1.0.22-1_i386.deb
libasound2-dev_1.0.22-1_i386.deb
  to main/a/alsa-lib/libasound2-dev_1.0.22-1_i386.deb
libasound2-doc_1.0.22-1_all.deb
  to main/a/alsa-lib/libasound2-doc_1.0.22-1_all.deb
libasound2_1.0.22-1_i386.deb
  to main/a/alsa-lib/libasound2_1.0.22-1_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 549531@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Jordi Mallach <jordi@debian.org> (supplier of updated alsa-lib package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Thu, 11 Feb 2010 21:24:39 +0100
Source: alsa-lib
Binary: libasound2 libasound2-dev lib64asound2 lib64asound2-dev lib32asound2 lib32asound2-dev libasound2-doc
Architecture: source i386 all
Version: 1.0.22-1
Distribution: unstable
Urgency: low
Maintainer: Debian ALSA Maintainers <pkg-alsa-devel@lists.alioth.debian.org>
Changed-By: Jordi Mallach <jordi@debian.org>
Description: 
 lib32asound2 - shared library for ALSA applications (32 bit)
 lib32asound2-dev - shared library for ALSA applications -- development files (32 bit
 lib64asound2 - shared library for ALSA applications (64 bit)
 lib64asound2-dev - shared library for ALSA applications -- development files (64 bit
 libasound2 - shared library for ALSA applications
 libasound2-dev - shared library for ALSA applications -- development files
 libasound2-doc - developer documentation for user-space ALSA application programmi
Closes: 549531 560405 568101
Changes: 
 alsa-lib (1.0.22-1) unstable; urgency=low
 .
   * New upstream release. (Closes: #549531)
 .
   [ Jordi Mallach ]
   * Remove lintian overrides file; it only contains an obsolete entry.
 .
   [ Daniel T Chen ]
   * debian/control: Add sparc64 to Architecture field for libasound2{,-dev}
     using patch from Aurelien Jarno. Thanks! (Closes: #560405)
   * debian/patches/Dont_leak_timer_fd_on_pcm_slave_close.patch: Properly
     free timer fd when closing pcm slaves. Backported from upstream master
     HEAD (LP: #451893) (Closes: #568101)
 .
   [ Elimar Riesebieter]
   * Switched to source version 3.0.
   * As we are defining CFLAGS in rules -D_GNU_SOURCE added as suposed in
     original Makefile.
   * Removed -DUSE_VERSIONED_SYMBOLS from CFLAGS. It is used in the build system
     now.
   * Removed lintian file installation from rules.
Checksums-Sha1: 
 a9c90b96aae2b7799cc2dac88c13759ac13cb3b7 1869 alsa-lib_1.0.22-1.dsc
 d3b6c740c23b8d113a8d02da2a9fd61f5d1a8a44 808534 alsa-lib_1.0.22.orig.tar.bz2
 2ff2c3a014e61eb33bd8f00113f30dd77d5e6924 422868 alsa-lib_1.0.22-1.debian.tar.bz2
 5ad9bf4696faad13e51039163b995567e2750483 377796 libasound2_1.0.22-1_i386.deb
 02bcdc7e75ef8bfa0bc064dec9c14ef518b929b0 512030 libasound2-dev_1.0.22-1_i386.deb
 87724d668c3a11f272e2ac4d2fb056198d23fa12 368620 lib64asound2_1.0.22-1_i386.deb
 fd3912ff8b8bedddff0cf93f3ef3e46d06357ce8 498106 lib64asound2-dev_1.0.22-1_i386.deb
 9d9812368df85cefe3daa582c5b6297c200521db 1438240 libasound2-doc_1.0.22-1_all.deb
Checksums-Sha256: 
 7164dad67d51a3fc5d83b6bb8a10ed5e5b43052d50f2cf9dfe42e60fad66a211 1869 alsa-lib_1.0.22-1.dsc
 03c3e1410e68bae9b8c0d2ef1023b5416b4fd1c7191d52615d633def71e019bb 808534 alsa-lib_1.0.22.orig.tar.bz2
 19c9152b6a6df8485e3f7988bddeafe797f8f944d78da1938826d0d3e22198c6 422868 alsa-lib_1.0.22-1.debian.tar.bz2
 206313fa4ea0cec85e67163cab5dde38d0f46fc697fe66bbc35f1a0432b13416 377796 libasound2_1.0.22-1_i386.deb
 5911609c4f5aa96abf19656f082fbfba059273bdd306cc17f8ebfb840a96507a 512030 libasound2-dev_1.0.22-1_i386.deb
 d00ff8998cac7dfd497229a9dcbaf409d05098e85634318e04a6631628557f09 368620 lib64asound2_1.0.22-1_i386.deb
 9aa92889f957ec7350d49e6b92f9a46ef5744449020971f1e071549766c56fae 498106 lib64asound2-dev_1.0.22-1_i386.deb
 8adc1d20264c392a0d0e43e6727ae6506885dccc7b7804f834db48a611b1c491 1438240 libasound2-doc_1.0.22-1_all.deb
Files: 
 0a07f7feb34128c80fb9220c207de794 1869 libs optional alsa-lib_1.0.22-1.dsc
 b28a12348905fb6915bc41f0edb2ecce 808534 libs optional alsa-lib_1.0.22.orig.tar.bz2
 d8fb77cc5af48931f37d7ae9474b8e89 422868 libs optional alsa-lib_1.0.22-1.debian.tar.bz2
 55018428afb6a268308c1efc3f82cdbd 377796 libs optional libasound2_1.0.22-1_i386.deb
 318e1308927f80731f06a6c8035dc5d7 512030 libdevel optional libasound2-dev_1.0.22-1_i386.deb
 42f608ccfe3c34289b7490995827fa50 368620 libs optional lib64asound2_1.0.22-1_i386.deb
 7b2774f2b1389d65431709208c0d83cc 498106 libdevel optional lib64asound2-dev_1.0.22-1_i386.deb
 a1eaf328f424f3b04ffbcdff42ba541e 1438240 doc optional libasound2-doc_1.0.22-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAkt0mokACgkQJYSUupF6Il5jHgCg0V13W7zWUhLbst54cosbUz/v
eFwAoLnuT6pFuT+oeQ4IV0gk8L7kYTEa
=NcMO
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 16 Mar 2010 07:32:00 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 09:04:57 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.